=== dune/CMakeLists.txt ===
add_subdirectory(pdelab)
