=== doc/doxygen/CMakeLists.txt ===
# Create and install doxygen documentation
add_doxygen_target()
