=== dune/pdelab/adaptivity/CMakeLists.txt ===
install(FILES adaptivity.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/adaptivity)
