=== dune/pdelab/boilerplate/CMakeLists.txt ===
install(FILES pdelab.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/boilerplate)
