=== dune/pdelab/common/CMakeLists.txt ===
install(FILES benchmarkhelper.hh
              borderindexidcache.hh
              clock.hh
              crossproduct.hh
              dofindex.hh
              elementmapper.hh
              exceptions.hh
              function.hh
              functionutilities.hh
              functionwrappers.hh
              geometrywrapper.hh
              globaldofindex.hh
              hostname.hh
              instationaryfilenamehelper.hh
              intersectiontype.hh
              jacobiantocurl.hh
              logtag.hh
              multiindex.hh
              partitionviewentityset.hh
              polymorphicbufferwrapper.hh
              quadraturerules.hh
              range.hh
              referenceelements.hh
              simpledofindex.hh
              topologyutility.hh
              typetraits.hh
              utility.hh
              vtkexport.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/common)
