=== dune/pdelab/localoperator/CMakeLists.txt ===
install(FILES callswitch.hh
              convectiondiffusionccfv.hh
              convectiondiffusiondg.hh
              convectiondiffusionfem.hh
              convectiondiffusionparameter.hh
              darcyccfv.hh
              darcyfem.hh
              defaultimp.hh
              dginteriorpenaltyparameter.hh
              dgnavierstokes.hh
              dgnavierstokesparameter.hh
              dgnavierstokesvelvecfem.hh
              dgparameter.hh
              diffusionmixed.hh
              electrodynamic.hh
              errorindicatordg.hh
              eval.hh
              flags.hh
              idefault.hh
              interface.hh
              l2.hh
              l2volumefunctional.hh
              linearacousticsdg.hh
              linearacousticsparameter.hh
              linearelasticity.hh
              linearelasticityparameter.hh
              maxwelldg.hh
              maxwellparameter.hh
              navierstokesmass.hh
              nonlinearconvectiondiffusionfem.hh
              numericaljacobian.hh
              numericaljacobianapply.hh
              numericalnonlinearjacobianapply.hh
              numericalresidual.hh
              pattern.hh
              permeability_adapter.hh
              scaled.hh
              stokesparameter.hh
              sum.hh
              taylorhoodnavierstokes.hh
              twophaseccfv.hh
              variablefactories.hh
              weightedsum.hh
              zero.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/localoperator)
