=== dune/pdelab/newton/CMakeLists.txt ===
install(FILES newton.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/newton)
