=== debian/changelog ===
dune-pdelab (2.5.0~rc1-2build1) bionic; urgency=medium

  * No-change rebuild against libsuitesparseconfig5

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 Dec 2017 16:14:52 +0000

dune-pdelab (2.5.0~rc1-2) unstable; urgency=medium

  * Upload to unstable.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867080)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:33:14 +0200

dune-pdelab (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Now Depends: libdune-functions-dev (instead of only Recommends:).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 24 Feb 2017 10:54:37 +0100
