=== debian/control ===
Source: dune-pdelab
Section: libs
Priority: optional
Standards-Version: 4.0.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-pdelab.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-pdelab.git
Homepage: https://www.dune-project.org/modules/dune-pdelab/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-functions-dev (>= 2.5.1),
 libdune-grid-dev (>= 2.5.1),
 libdune-istl-dev (>= 2.5.1),
 libdune-localfunctions-dev (>= 2.5.1),
 libdune-typetree-dev (>= 2.5.0),
 libeigen3-dev,
 libalberta2-dev (>= 2.0.1-5),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures

Package: libdune-pdelab-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-functions-dev (>= 2.5.1),
 libdune-grid-dev (>= 2.5.1),
 libdune-istl-dev (>= 2.5.1),
 libdune-localfunctions-dev (>= 2.5.1),
 libdune-typetree-dev (>= 2.5.0),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Suggests: libdune-pdelab-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- discretization module (development files)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the development files.

Package: libdune-pdelab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- discretization module (documentation)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the documentation.
