=== dune/pdelab/finiteelement/CMakeLists.txt ===
install(FILES
  qkdglagrange.hh
  qkdglegendre.hh
  qkdglobatto.hh
  pk1d.hh
  l2orthonormal.hh
  localbasiscache.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/finiteelement)
