=== dune/pdelab/finiteelementmap/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
               pkqkfem.hh
               powerfem.hh
               qkdg.hh
-              qkdggl.hh
               qkfem.hh
               rannacherturekfem.hh
               raviartthomasfem.hh
@@ -24,6 +23,7 @@
               rt1cube3dfem.hh
               rt1simplex2dfem.hh
               rt2cube2dfem.hh
+              utility.hh
               variablemonomfem.hh
               variableopbfem.hh
               variableqkdgfem.hh
