=== dune/pdelab/instationary/CMakeLists.txt ===
install(FILES explicitonestep.hh
              implicitonestep.hh
              onestep.hh
              onestepparameter.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/instationary)
