=== dune/pdelab/localoperator/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-install(FILES callswitch.hh
+install(FILES blockdiagonal.hh
+              callswitch.hh
               convectiondiffusionccfv.hh
               convectiondiffusiondg.hh
               convectiondiffusionfem.hh
@@ -10,7 +11,6 @@
               dgnavierstokes.hh
               dgnavierstokesparameter.hh
               dgnavierstokesvelvecfem.hh
-              dgparameter.hh
               diffusionmixed.hh
               electrodynamic.hh
               errorindicatordg.hh
