=== dune/pdelab/stationary/CMakeLists.txt ===
install(FILES linearproblem.hh DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/stationary)
