=== debian/changelog ===
dune-pdelab (2.6~20180302-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:17:40 +0100

dune-pdelab (2.6~20180302-2) unstable; urgency=medium

  * d/control: Build-Depend on libalberta-dev instead of libalberta2-dev.
  * Bumped Standards-Version to 4.4.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 23 Oct 2019 19:13:24 +0200

dune-pdelab (2.6~20180302-1) unstable; urgency=medium

  * New upstream snapshot (commit: e88a57a22a0d42084255eeaa38ac716ab98be96a)
  * d/control: add `Rules-Requires-Root: no`
  * d/control: add explicit (build-)dep on libdune-common-dev
  * libdune-pdelab-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 13 Apr 2018 08:47:01 +0200
