=== debian/control ===
Source: dune-pdelab
Section: libs
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: https://salsa.debian.org/science-team/dune-pdelab
Vcs-Git: https://salsa.debian.org/science-team/dune-pdelab.git
Homepage: https://www.dune-project.org/modules/dune-pdelab/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.6.0),
 libdune-functions-dev (>= 2.6~),
 libdune-grid-dev (>= 2.6.0),
 libdune-istl-dev (>= 2.6.0),
 libdune-localfunctions-dev (>= 2.6.0),
 libdune-typetree-dev (>= 2.6~),
 libeigen3-dev,
 libalberta-dev (>= 2.0.1-5),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
Rules-Requires-Root: no

Package: libdune-pdelab-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.6.0),
 libdune-functions-dev (>= 2.6~),
 libdune-grid-dev (>= 2.6.0),
 libdune-istl-dev (>= 2.6.0),
 libdune-localfunctions-dev (>= 2.6.0),
 libdune-typetree-dev (>= 2.6~),
 libgmp-dev,
 libsuperlu-dev | libsuperlu3-dev
Suggests: libdune-pdelab-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- discretization module (development files)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the development files.

Package: libdune-pdelab-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- discretization module (documentation)
 DUNE-PDELab is a new generalized discretization module for a wide range of
 discretization methods. It allows rapid prototyping for implementing
 discretizations and solvers for systems of PDEs based on DUNE.
 .
 This package contains the documentation.
