=== dune/pdelab/CMakeLists.txt ===
--- 
+++ 
@@ -12,5 +12,6 @@
 add_subdirectory(localoperator)
 add_subdirectory(newton)
 add_subdirectory(ordering)
+add_subdirectory(solver)
 add_subdirectory(stationary)
 add_subdirectory(test)
