=== dune/pdelab/solver/CMakeLists.txt ===
install(FILES newtonerrors.hh
              newton.hh
              newtonlinesearch.hh
              newtonterminate.hh
              utility.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/pdelab/solver)
