=== dune/pdelab/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,39 @@
 add_subdirectory(fem)
 
+dune_add_test(SOURCES testcombinedoperator.cc)
+
+dune_add_test(SOURCES testconvectiondiffusiondg.cc
+              CMAKE_GUARD SUPERLU_FOUND)
+
+dune_add_test(SOURCES testnewton.cc
+              CMAKE_GUARD SUPERLU_FOUND)
+
+dune_add_test(SOURCES testoldnewton.cc)
+
+dune_add_test(SOURCES testinstationary.cc)
+
 dune_add_test(SOURCES testanalytic.cc)
 
 dune_add_test(SOURCES testbindtime.cc)
-
-dune_add_test(SOURCES testclock.cc)
 
 dune_add_test(NAME testcomplexnumbers-istl
               SOURCES testcomplexnumbers.cc
               COMPILE_DEFINITIONS SUPERLU_NTYPE=3
-                                  USE_ISTL)
+                                  USE_ISTL
+              CMAKE_GUARD SUPERLU_FOUND)
 
 dune_add_test(NAME testcomplexnumbers-istlbackend
               SOURCES testcomplexnumbers.cc
               COMPILE_DEFINITIONS SUPERLU_NTYPE=3
-                                  USE_ISTL_BACKEND)
+                                  USE_ISTL_BACKEND
+              CMAKE_GUARD SUPERLU_FOUND)
 
 dune_add_test(SOURCES testconstraints.cc
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
 
 dune_add_test(SOURCES testdunefunctionsgfs.cc
-              CMAKE_GUARD dune-functions_FOUND)
+              MPI_RANKS 1 2 4
+              TIMEOUT 300)
 
 dune_add_test(SOURCES testelectrodynamic.cc
               CMD_ARGS "${CMAKE_CURRENT_SOURCE_DIR}/grids/circ_in_rect.msh"
@@ -40,6 +53,12 @@
 
 dune_add_test(SOURCES testelasticity.cc)
 
+dune_add_test(SOURCES testgeneo.cc
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD SuiteSparse_UMFPACK_FOUND ARPACKPP_FOUND
+              )
+
 dune_add_test(SOURCES testdglegendre.cc)
 
 dune_add_test(SOURCES testfastdgassembler.cc)
@@ -48,6 +67,8 @@
 
 dune_add_test(SOURCES testlocalfunctionspace.cc)
 
+dune_add_test(SOURCES testlocalmatrix.cc)
+
 dune_add_test(SOURCES testlocaloperatorinterface.cc)
 
 dune_add_test(SOURCES testpk2dinterpolation.cc
@@ -62,6 +83,8 @@
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
 add_dune_alberta_flags(testpoisson)
 
+dune_add_test(SOURCES testmatrixfree.cc)
+
 dune_add_test(SOURCES testchunkedblockordering.cc)
 
 dune_add_test(SOURCES testrt0.cc
@@ -76,8 +99,6 @@
 
 dune_add_test(SOURCES testinterpolate.cc)
 
-dune_add_test(SOURCES test-instationary-with-boundary-constraints.cc)
-
 dune_add_test(SOURCES testnumericaljacobianmethods.cc)
 
 dune_add_test(SOURCES testrtfem.cc
@@ -93,27 +114,33 @@
 dune_add_test(SOURCES testsimplebackend.cc
               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
 
-dune_add_test(SOURCES test-transport-ccfv.cc)
-
-
-if(EIGEN3_FOUND)
-  dune_add_test(SOURCES testeigenbackend.cc
-               COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\")
-endif(EIGEN3_FOUND)
-
-if(dune-alugrid_FOUND)
-  dune_add_test(SOURCES testordering.cc)
-
-  dune_add_test(SOURCES testloadbalancing.cc
-                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
-                MPI_RANKS 2
-                TIMEOUT 300)
-endif(dune-alugrid_FOUND)
-
-if(GMP_FOUND)
-  dune_add_test(SOURCES testopbfem.cc)
-  dune_add_test(SOURCES test-dg-amg.cc)
-endif(GMP_FOUND)
+dune_add_test(SOURCES testclock.cc
+              CMAKE_GUARD "NOT MINGW")
+
+dune_add_test(SOURCES test-instationary-with-boundary-constraints.cc
+              CMAKE_GUARD "NOT MINGW")
+
+dune_add_test(SOURCES test-transport-ccfv.cc
+              CMAKE_GUARD "NOT MINGW")
+
+dune_add_test(SOURCES testeigenbackend.cc
+              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
+              CMAKE_GUARD EIGEN3_FOUND)
+
+dune_add_test(SOURCES testordering.cc
+              CMAKE_GUARD dune-alugrid_FOUND)
+
+dune_add_test(SOURCES testloadbalancing.cc
+              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-alugrid_FOUND)
+
+dune_add_test(SOURCES testopbfem.cc
+              CMAKE_GUARD GMP_FOUND)
+
+dune_add_test(SOURCES test-dg-amg.cc
+              CMAKE_GUARD GMP_FOUND)
 
 # Include periodic tests. Must run in parallel.
 foreach(degree IN ITEMS 1 2)
@@ -137,31 +164,36 @@
               MPI_RANKS 1 2
               TIMEOUT 300)
 
-if(UG_FOUND)
-  dune_add_test(NAME testnonoverlappingsinglephaseflow-ug
-                SOURCES testnonoverlappingsinglephaseflow.cc
-                COMPILE_DEFINITIONS GRID_UG
-                MPI_RANKS 1 2
-                TIMEOUT 300)
-
-  dune_add_test(SOURCES testnonoverlappingsinglephaseflow-boilerplate.cc
-                COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
-                MPI_RANKS 2
-                TIMEOUT 300)
-
-  dune_add_test(SOURCES testadaptivity.cc)
-
-  dune_add_test(SOURCES testnonoverlapping.cc
-                MPI_RANKS 2
-                TIMEOUT 300)
-endif()
-
+dune_add_test(NAME testnonoverlappingsinglephaseflow-ug
+              SOURCES testnonoverlappingsinglephaseflow.cc
+              COMPILE_DEFINITIONS GRID_UG
+              MPI_RANKS 1 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-uggrid_FOUND)
+
+dune_add_test(SOURCES testnonoverlappingsinglephaseflow-boilerplate.cc
+              COMPILE_DEFINITIONS GRIDSDIR=\"${CMAKE_CURRENT_SOURCE_DIR}/grids\"
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-uggrid_FOUND)
+
+dune_add_test(SOURCES testadaptivity.cc
+              CMAKE_GUARD dune-uggrid_FOUND)
+
+dune_add_test(SOURCES testnonoverlapping.cc
+              MPI_RANKS 2
+              TIMEOUT 300
+              CMAKE_GUARD dune-uggrid_FOUND)
 
 dune_add_test(SOURCES testranktransmission.cc
               MPI_RANKS 2
               TIMEOUT 300)
 
 dune_add_test(SOURCES testl2.cc)
+
+dune_add_test(SOURCES test-blocked-istl-ordering.cc)
+
+dune_add_test(SOURCES testtimedependentboundary_ovlpqk.cc)
 
 exclude_from_headercheck(
   gridexamples.hh
