=== debian/changelog ===
dune-pdelab (2.7~20200605-2ubuntu2) hirsute; urgency=medium

  * Reduce parallelism to 3 in armhf and ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jan 2021 22:58:32 +0100

dune-pdelab (2.7~20200605-2) unstable; urgency=medium

  * Upload to unstable.
  * Increase timeout for `recipe-operator-splitting` as it timed on on
    armel and mips64el.
    + Updated patch: increase-timeout.patch

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:45:47 +0200

dune-pdelab (2.7~20200605-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: Add runtime dependency on libeigen3-dev.
    See https://salsa.debian.org/science-team/dune-pdelab/-/merge_requests/1
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Wed, 10 Jun 2020 14:29:46 +0200
